# Conway's Game of Life

An command-line implementation of [Conway's Game of
Life](https://en.wikipedia.org/wiki/Conway%27s_Game_of_Life) in Python. It looks
better with a square font such as [Square](http://strlen.com/square/).

## Usage

```plaintext
$ python conway.py --help
usage: conway.py [-h] [-f FILE] [-s SPEED]

Conway's Game of Life

optional arguments:

  -h, --help

     show this help message and exit

  -f FILE, --file FILE

     The path to a file containing a starting grid. The grid file should use 0 for dead cells and 1 for living cells.

  -s SPEED, --speed SPEED

     The delay between iterations in milliseconds (default: 500, minimum: 100)
```

## Testing

```
$ pytest
```

## License

[MIT](https://opensource.org/licenses/MIT)
